// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

public interface RegulatorEventAndStatusANCROrBuilder extends
    // @@protoc_insertion_point(interface_extends:regulatormodule.RegulatorEventAndStatusANCR)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForEventAndStatus field is set.
   */
  boolean hasLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForEventAndStatus.
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatus getLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder getLogicalNodeForEventAndStatusOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   * @return Whether the dynamicTest field is set.
   */
  boolean hasDynamicTest();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   * @return The dynamicTest.
   */
  openfmb.commonmodule.ENS_DynamicTestKind getDynamicTest();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   */
  openfmb.commonmodule.ENS_DynamicTestKindOrBuilder getDynamicTestOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEventAndStatusATCC PointStatus = 3;</code>
   * @return Whether the pointStatus field is set.
   */
  boolean hasPointStatus();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEventAndStatusATCC PointStatus = 3;</code>
   * @return The pointStatus.
   */
  openfmb.regulatormodule.RegulatorEventAndStatusATCC getPointStatus();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEventAndStatusATCC PointStatus = 3;</code>
   */
  openfmb.regulatormodule.RegulatorEventAndStatusATCCOrBuilder getPointStatusOrBuilder();
}
